{************************************************************************
*									*
*  JUMP -- JUMP_PERSONA_NON_GRATA.PAS					*
*									*
*  JUMP_PERSONA_NON_GRATA is a DUMMY routine when the PERSONA system	*
*  services do not exist; i.e. on VAX and pre-VMS 7.2.			*
*									*
*************************************************************************
*  Author and Maintainer: Jonathan Ridler.				*
*									*
*  This software is owned and maintained privately by the author,	*
*  Jonathan Ridler. It is NOT in any way produced, owned, supported,	*
*  maintained or endorsed by Hewlett Packard Pty Ltd or any of its	*
*  legal entities.							*
*									*
*  Email: vmsjump@internode.on.net					*
*************************************************************************
*************************************************************************
***								      ***
***			    LICENCE NOTICE			      ***
***								      ***
***  This software is COPYRIGHT (c) 1993-2022 Jonathan Ridler.	      ***
***  ALL RIGHTS RESERVED.					      ***
***								      ***
***  Please READ the file JUMP_LICENCE.TXT which contains the	      ***
***  complete Licence and all conditions of use for JUMP.	      ***
***								      ***
***  NOTE: By using JUMP or any part of the JUMP distribution for     ***
***        any purpose, you are agreeing to all conditions of the     ***
***        JUMP licence.                                              ***
***                                                                   ***
*************************************************************************
*************************************************************************
*									*
*  History:								*
*	01-Feb-2012	JER	Original version for JUMP V6.0. 	*
*	03-Feb-2012	JER	JUMP V6.1.				*
*	21-Feb-2012	JER	JUMP V6.1a; added build level ident.	*
************************************************************************}

[INHERIT ('SYS$LIBRARY:STARLET',
	  'SYS$LIBRARY:PASCAL$LIB_ROUTINES')]

MODULE Jump_Persona_Non_Grata (OUTPUT) ;

VAR

{************************************************************************
 ****  INCREMENT the BUILD LEVEL every time the module is changed!!  ****
 ************************************************************************}

Persona_Bl : [GLOBAL] VARYING [12] OF CHAR := 'NG.01' ;

[GLOBAL] PROCEDURE Change_Persona (New_Username : VARYING [Len] OF CHAR) ;

  BEGIN 	{ Change_Persona }

  { If we ever invoke this procedure, let's BUG OUT ... because it
    should NEVER happen! }

  LIB$STOP (SS$_ABORT) ;

  END ; 	{ Change_Persona }

END.
